Skip to main content
GET
/
api
/
storefront
/
customer
/
me
/
orders
List My Orders
curl --request GET \
  --url https://api.example.com/api/storefront/customer/me/orders \
  --header 'X-Site-ID: <x-site-id>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "order_number": "<string>",
    "email": "<string>",
    "line_items": [
      {
        "name": "<string>",
        "quantity": 123,
        "price": "<string>",
        "total": "<string>",
        "variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "sku": "<string>",
        "option1": "<string>",
        "option2": "<string>",
        "option3": "<string>",
        "variant_name": "<string>",
        "image_url": "<string>"
      }
    ],
    "subtotal": "<string>",
    "tax": "<string>",
    "shipping_cost": "<string>",
    "discount": "<string>",
    "total": "<string>",
    "currency": "<string>",
    "status": "<string>",
    "payment_status": "<string>",
    "fulfillment_status": "<string>",
    "source": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "phone": "<string>",
    "payment_method": "<string>",
    "billing_address": {
      "first_name": "<string>",
      "last_name": "<string>",
      "company": "<string>",
      "address1": "<string>",
      "address2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postal_code": "<string>",
      "country": "<string>",
      "phone": "<string>"
    },
    "shipping_address": {
      "first_name": "<string>",
      "last_name": "<string>",
      "company": "<string>",
      "address1": "<string>",
      "address2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postal_code": "<string>",
      "country": "<string>",
      "phone": "<string>"
    },
    "shipping_method": "<string>",
    "tracking_number": "<string>",
    "tracking_url": "<string>",
    "note": "<string>",
    "staff_note": "<string>",
    "shipped_at": "2023-11-07T05:31:56Z",
    "delivered_at": "2023-11-07T05:31:56Z",
    "cancelled_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

authorization
string | null
X-Site-ID
string
required
X-Stella-Token
string | null

Query Parameters

limit
integer
default:50
offset
integer
default:0

Response

Successful Response

id
string<uuid>
required
merchant_id
string<uuid>
required
order_number
string
required
email
string
required
line_items
LineItemResponse · object[]
required
subtotal
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
tax
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
shipping_cost
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
discount
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
total
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
currency
string
required
status
string
required
payment_status
string
required
fulfillment_status
string
required
source
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
customer_id
string<uuid> | null
phone
string | null
payment_method
string | null
billing_address
AddressSchema · object

Schema for address. Fields are optional to support simpler address formats from AI widget.

shipping_address
AddressSchema · object

Schema for address. Fields are optional to support simpler address formats from AI widget.

shipping_method
string | null
tracking_number
string | null
tracking_url
string | null
note
string | null
staff_note
string | null
shipped_at
string<date-time> | null
delivered_at
string<date-time> | null
cancelled_at
string<date-time> | null